org.apache.uima.pear.tools

## Class InstallationDescriptor.ComponentInfo

- java.lang.Object
- - org.apache.uima.pear.tools.InstallationDescriptor.ComponentInfo

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    InstallationDescriptor

      public static class InstallationDescriptor.ComponentInfo
      extends Object
      implements Serializable

  The `ComponentInfo` class defines UIMA component attributes.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `casConsumerDescFilePath`
    `String` | `casInitializerDescFilePath`
    `String` | `collIteratorDescFilePath`
    `String` | `deploymentType`
    `String` | `descFilePath`
    `String` | `name`
    `Hashtable<String,Properties>` | `networkParams`
    `Properties` | `props`
    `String` | `rootDirPath`
    `InstallationDescriptor.ServiceInfo` | `serviceInfo`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComponentInfo(String id)` Constructor that takes component ID as an argument.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getId()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          public String name

    - #### descFilePath

          public String descFilePath

    - #### rootDirPath

          public String rootDirPath

    - #### deploymentType

          public String deploymentType

    - #### serviceInfo

          public transient InstallationDescriptor.ServiceInfo serviceInfo

    - #### networkParams

          public Hashtable<String,Properties> networkParams

    - #### collIteratorDescFilePath

          public String collIteratorDescFilePath

    - #### casInitializerDescFilePath

          public String casInitializerDescFilePath

    - #### casConsumerDescFilePath

          public String casConsumerDescFilePath

    - #### props

          public Properties props

  - ### Constructor Detail

    - #### ComponentInfo

          public ComponentInfo(String id)

      Constructor that takes component ID as an argument.
      Parameters:
        `id` - The given component ID.

  - ### Method Detail

    - #### getId

          public String getId()

      Returns:
        The specified component ID.

Copyright © 2006–2022 The Apache Software Foundation. All rights reserved.